valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
70 lines (69 loc) • 2.47 kB
TypeScript
import { z } from 'zod';
export declare const ownedItemsEndpoint: {
readonly name: "Owned Items";
readonly description: string;
readonly queryName: "Store_GetEntitlements";
readonly category: "Store Endpoints";
readonly type: "pd";
readonly suffix: "store/v1/entitlements/{puuid}/{ItemTypeID}";
readonly variables: Map<string, z.ZodOptional<z.ZodString>>;
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
EntitlementsByTypes: z.ZodArray<z.ZodObject<{
ItemTypeID: z.ZodString;
Entitlements: z.ZodArray<z.ZodObject<{
TypeID: z.ZodString;
ItemID: z.ZodString;
InstanceID: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}, {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}>, "many">;
}, "strip", z.ZodTypeAny, {
ItemTypeID: string;
Entitlements: {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}[];
}, {
ItemTypeID: string;
Entitlements: {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}[];
}>, "many">;
}, "strip", z.ZodTypeAny, {
EntitlementsByTypes: {
ItemTypeID: string;
Entitlements: {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}[];
}[];
}, {
EntitlementsByTypes: {
ItemTypeID: string;
Entitlements: {
InstanceID?: string | undefined;
ItemID: string;
TypeID: string;
}[];
}[];
}>;
};
};
export type OwnedItemsResponse = z.input<typeof ownedItemsEndpoint.responses['200']>;